Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class TunnelRenderer

    java.lang.Object
      net.i2p.router.web.TunnelRenderer

    public class TunnelRenderer

extends Object

Constructor Summary
`TunnelRenderer(RouterContext ctx)`

Method Summary
`void` | `renderStatusHTML(Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TunnelRenderer

    public TunnelRenderer(RouterContext ctx)

Method Detail

### renderStatusHTML

    public void renderStatusHTML(Writer out)
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD